import { EventEmitter } from '../../stencil-public-runtime';
import { IAddItemContainerComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkAddItemContainer implements IAddItemContainerComponent {
    /**
     * Id of the answer pool that this component belongs to
     */
    answerPoolId: string;
    /**
     * Help text
     */
    helpText: string;
    /**
     * Add button text
     */
    text: string;
    /**
     * Can add more state
     */
    canAddMore: boolean;
    /**
     * Icon name
     */
    icon: string;
    /**
     * Question Id
     */
    questionId: string;
    /**
     * Question Set Id
     */
    questionSetId: string;
    /**
     * Add Item event
     */
    addItem: EventEmitter<void>;
    useExternal: boolean;
    resetState(): void;
    connectedCallback(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any[];
    handleClick: () => void;
    renderInternal(): any;
}
